OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_DirectionCountSelect Class Reference

`#include <StepVisual_DirectionCountSelect.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_DirectionCountSelect ()
Standard_EXPORT void | SetTypeOfContent (const Standard_Integer aTypeOfContent)
Standard_EXPORT Standard_Integer | TypeOfContent () const
Standard_EXPORT Standard_Integer | UDirectionCount () const
Standard_EXPORT void | SetUDirectionCount (const Standard_Integer aUDirectionCount)
Standard_EXPORT Standard_Integer | VDirectionCount () const
Standard_EXPORT void | SetVDirectionCount (const Standard_Integer aUDirectionCount)
## Private Attributes
Standard_Integer | theUDirectionCount
Standard_Integer | theVDirectionCount
Standard_Integer | theTypeOfContent

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_DirectionCountSelect::StepVisual_DirectionCountSelect | ( |  | ) |

## Member Function Documentation

void StepVisual_DirectionCountSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepVisual_DirectionCountSelect::operator new | ( | size_t | size | ) | `[inline]`

void* StepVisual_DirectionCountSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StepVisual_DirectionCountSelect::SetTypeOfContent | ( | const Standard_Integer | aTypeOfContent | ) |

Standard_EXPORT void StepVisual_DirectionCountSelect::SetUDirectionCount | ( | const Standard_Integer | aUDirectionCount | ) |

Standard_EXPORT void StepVisual_DirectionCountSelect::SetVDirectionCount | ( | const Standard_Integer | aUDirectionCount | ) |

Standard_EXPORT Standard_Integer StepVisual_DirectionCountSelect::TypeOfContent | ( |  | ) | const

Standard_EXPORT Standard_Integer StepVisual_DirectionCountSelect::UDirectionCount | ( |  | ) | const

Standard_EXPORT Standard_Integer StepVisual_DirectionCountSelect::VDirectionCount | ( |  | ) | const

## Field Documentation

Standard_Integer StepVisual_DirectionCountSelect::theTypeOfContent`[private]`

Standard_Integer StepVisual_DirectionCountSelect::theUDirectionCount`[private]`

Standard_Integer StepVisual_DirectionCountSelect::theVDirectionCount`[private]`

The documentation for this class was generated from the following file:

- StepVisual_DirectionCountSelect.hxx